Loading...
Searching...
No Matches
Opm::SegmentState< Scalar > Class Template Reference

## Public Member Functions

| SegmentState (int num_phases, const WellSegments &segments)
Scalar | pressure_drop (std::size_t index) const
bool | empty () const
void | scale_pressure (Scalar bhp)
const std::vector< int > & | segment_number () const
std::size_t | size () const
template<class Serializer>
void | serializeOp (Serializer &serializer)
bool | operator== (const SegmentState &) const

## Static Public Member Functions

static SegmentState | serializationTestObject ()

## Public Attributes

std::vector< Scalar > | rates
std::vector< Scalar > | dissolved_gas_rate
std::vector< Scalar > | vaporized_oil_rate
std::vector< Scalar > | phase_resv_rates
| Segment condition volume flow rates through segment (per phase).
std::vector< Scalar > | phase_velocity
| Segment condition flow velocity through segment (per phase).
std::vector< Scalar > | phase_holdup
| Segment condition holdup fractions through segment (per phase).
std::vector< Scalar > | phase_viscosity
| Segment condition phase viscosities.
std::vector< Scalar > | phase_density
| Segment condition phase densities.
std::vector< Scalar > | pressure
std::vector< Scalar > | pressure_drop_friction
std::vector< Scalar > | pressure_drop_hydrostatic
std::vector< Scalar > | pressure_drop_accel

## Member Data Documentation

## phase_density

template<class Scalar>

std::vector<Scalar> Opm::SegmentState< Scalar >::phase_density

Segment condition phase densities.

num_phases + 2

elements per segment, with the two additional elements being fluid mixture densities. Fluid mixture densities are calculated with and without ICD-related flowing phase fraction exponents, respectively. Mixture density without flowing phase fraction exponents is stored at offset `num_phases`, and mixture density with flowing phase fraction exponents is stored at offset

num_phases + 1

.

In other words, the phase and mixture densities are stored as

[{ p0, p1, ..., (np - 1), mixture, mixture_with_exponents }, { p0, p1, ..., (np - 1), mixture, mixture_with_exponents }, ... { p0, p1, ..., (np - 1), mixture, mixture_with_exponents }]

The documentation for this class was generated from the following files:

- opm/simulators/wells/MultisegmentWellSegments.hpp
- opm/simulators/wells/SegmentState.hpp
- opm/simulators/wells/SegmentState.cpp